subroutine pre_anderson
use matmod
use tmpmatmod
use anderson
implicit none
include "../include/sizes"
include "../include/common"
!
integer :: istat
!
nnz_a  = 2
nopr_a = 4
nsys_a = 4
!
allocate(irow_a(nnz_a,nopr_a), icol_a(nnz_a,nopr_a), STAT=istat)
allocate(dval_a(nnz_a,nopr_a), STAT=istat)
!
! nopr_a from 1 to 4: a_up, a_down, a_up^dag, a_down^dag
!
! a_up
irow_a(1,1) = 1
icol_a(1,1) = 2
dval_a(1,1) = 1.d0
irow_a(2,1) = 3
icol_a(2,1) = 4
dval_a(2,1) = -1.d0
! a_down
irow_a(1,2) = 1
icol_a(1,2) = 3
dval_a(1,2) = 1.d0
irow_a(2,2) = 2
icol_a(2,2) = 4
dval_a(2,2) = 1.d0
! a_up^dag
irow_a(1,3) = 2
icol_a(1,3) = 1
dval_a(1,3) = 1.d0
irow_a(2,3) = 4
icol_a(2,3) = 3
dval_a(2,3) = -1.d0
! a_down^dag
irow_a(1,4) = 3
icol_a(1,4) = 1
dval_a(1,4) = 1.d0
irow_a(2,4) = 4
icol_a(2,4) = 2
dval_a(2,4) = 1.d0
!
return
end subroutine pre_anderson
