subroutine volt
use sdemod2
implicit none
include "../include/sizes"
include "../include/common"
!
integer    :: it,istat 
real*8     :: tt
complex*16 :: sgn(2), vv
!
allocate(Vt1(2,ntime), Vt2(2,ntime), STAT=istat)
namelist / voltage / Vlt1,  Vlt2
!
rewind(5)
read(5, voltage, end=121)
121 continue
!
write(6,*)'main/vltg, 1stlead voltage:    Vlt1 = ', Vlt1
write(6,*)'main/vltg, 2ndlead voltage:    Vlt2 = ', Vlt2
!
Vlt1    = Vlt1 / hbar
Vlt2    = Vlt2 / hbar
!
write(6,*) 'main/volt:    Vlt1/hbar = ', Vlt1
write(6,*) 'main/volt:    Vlt2/hbar = ', Vlt2
write(6,*) 'main/volt:           dt =',  dt
write(6,*) 'main/volt:        ntime =',  ntime
!
sgn(1) = 1.d0
sgn(2) = -1.d0
vv  = dcmplx(0.d0, 0.d0)
!
do it=1,ntime
   tt= dble(it - 1) * dt
   vv= sgn(1)*dcmplx(0.d0,-1.d0)*Vlt1*tt
   Vt1(1,it) = cdexp(vv)
end do
!
vv = dcmplx(0.d0, 0.d0)
do it=1,ntime
   tt= dble(it - 1) * dt
   vv= sgn(2)*dcmplx(0.d0,-1.d0)*Vlt1*tt
   Vt1(2,it) = cdexp(vv)
end do
 !
vv = dcmplx(0.d0, 0.d0)
do it=1,ntime
   tt= dble(it - 1) * dt
   vv= sgn(1)*dcmplx(0.d0,-1.d0)*Vlt2*tt
   Vt2(1,it) = cdexp(vv)
end do
!
vv = dcmplx(0.d0, 0.d0)
do it=1,ntime
   tt= dble(it - 1) * dt
   vv= sgn(2)*dcmplx(0.d0,-1.d0)*Vlt2*tt
   Vt2(2,it) = cdexp(vv)
end do
end subroutine volt
