module sdemod
implicit none
!
real*8, save, allocatable :: v1(:,:), v2(:,:), v3(:,:), v4(:,:)
real*8, save, allocatable :: v1s(:,:,:), v2s(:,:,:)
real*8, save, allocatable :: v3s(:,:,:), v4s(:,:,:)  ! ntraj, ntime, nspin
!
complex*16, save, allocatable :: zrho1(:,:), zrho2(:,:) 
complex*16, save, allocatable :: dzrho1(:,:), dzrho2(:,:) 
complex*16, save, allocatable :: rhoavg(:,:,:)              ! ni, nj, ntime
complex*16, save, allocatable :: rhoj(:,:,:)              ! ni, nj, ntime
!
complex*16, save, allocatable :: rhoavg_omp(:,:,:,:)
complex*16, save, allocatable :: rhoj_omp(:,:,:,:)
complex*16, save, allocatable :: zrho1_omp(:,:,:), dzrho1_omp(:,:,:)
!
end module sdemod
