          SUBROUTINE init_random_seed_out(n, seed)
            implicit none
            integer, intent(in) :: n
            integer, intent(inout) :: seed(n)
            INTEGER :: i, clock

            CALL SYSTEM_CLOCK(COUNT=clock)

            seed = clock + 37 * (/ (i - 1, i = 1, n) /)
            CALL RANDOM_SEED(PUT = seed)

            return
          END SUBROUTINE 

